### Function

# ECal ComponentBagItem equal_by_comp

since: 3.58

#### Declaration [src]

    gboolean
    e_cal_component_bag_item_equal_by_comp (
      gconstpointer item1,
      gconstpointer item2
    )

#### Description [src]

Returns whether the `item1` and `item2` are equal regarding the component reference stored in them. Only the client, uid and rid members of the items are used here.

See: e_cal_component_bag_item_hash_by_comp().

Available since: 3.58

#### Parameters

`item1`

  Type: `gconstpointer`

  The first `ECalComponentBagItem`.

  The argument can be `NULL`.
  The data is owned by the caller of the function.

`item2`

  Type: `gconstpointer`

  The second `ECalComponentBagItem`.

  The argument can be `NULL`.
  The data is owned by the caller of the function.

#### Return value

Type: `gboolean`

Whether the `item1` and `item2` are equal regarding the component reference stored in them.